Subject: bug#23585: 25.0.93; Win32: spurious ^M pop up at byte offset 65536

From: Anders Lindgren <[email-masked]>
Date: Fri, 20 May 2016 12:16:51 +0200

Hi!

I've noticed that sometimes an extra carriage return character pops up in
my source files, when running Emacs under Windows. They are always located
at the end of a line. I use auto-revert mode and I've only seen this in
files already open in Emacs.

Today I noticed that one such carriage return character was placed at
buffer position 62879 in line 2658. This corresponds to byte position 65536
(or hex 0x10000) in the file. Clearly, this can't be a coincidence.

By the way, I'm not sure Emacs is the culprit here -- I use subversion as a
version control system and Visual Studio for debugging and sometimes minor
edits.

    -- Anders